<?php

/**
 * @package norstar
 */
?>
<?php
echo '<div class="post-meta">';

$meta_elements = themesflat_layout_draganddrop(themesflat_get_opt('meta_elements'));
global $post_single_elements;
if (!empty($post_single_elements) && is_single()) {
    $meta_elements = $post_single_elements;
} 
    $left_column_elements = array_slice($meta_elements, 0, 2);
    $right_column_elements = array_slice($meta_elements, 2, 3);

    echo '<div class="left">';
        foreach ($left_column_elements as $meta_element) :
            renderElement($meta_element);
        endforeach;
    echo '</div>';

    echo '<div class="right">';
        foreach ($right_column_elements as $meta_element) :
            renderElement($meta_element);
        endforeach;
    echo '</div>';
echo '</div>';
?>